List Retriever API Keys
curl --request GET \
--url https://api.mixpeek.com/v1/retrievers/{retriever_id}/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/retrievers/{retriever_id}/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/retrievers/{retriever_id}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"key_hash": "<string>",
"internal_id": "<string>",
"user_id": "<string>",
"name": "<string>",
"key_id": "<string>",
"key_prefix": "sk_abc123...",
"key_type": "standard",
"subscription_id": "<string>",
"is_internal": false,
"organization_id": "<string>",
"description": "",
"permissions": [],
"scopes": [
{
"resource_id": "<string>",
"operations": []
}
],
"rate_limit_override": 123,
"status": "active",
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revoked_by": "<string>",
"allowed_origins": [
"https://docs.example.com",
"https://*.example.com"
],
"principal_id": "<string>"
}
],
"total": 0
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}API Keys
List Retriever API Keys
List all API keys for this retriever.
Fields:
- key_id: Public identifier for the key
- key_prefix: First 10 characters + ”…” for identification (e.g., “ret_sk_abc…”)
- name: Human-friendly label
- created_at: When the key was created
- last_used_at: When the key was last used (if ever)
- status: ACTIVE, REVOKED, or EXPIRED
- expires_at: Expiration timestamp (if set)
Note:
- Plaintext key is NEVER returned in list responses
- Only shown once in creation response
- Use key_prefix to identify keys in the UI
GET
/
v1
/
retrievers
/
{retriever_id}
/
api-keys
List Retriever API Keys
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Include revoked and expired keys in the response
Was this page helpful?
⌘I

